package com.qmth.teachcloud.exchange.common.bean.result.flow;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.exchange.common.enums.flow.FlowApproveOperationEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: TFFlowLogResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/11/22
 */
public class TFFlowLogResult extends ApproveUserResult implements Serializable {

    @ApiModelProperty(value = "流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowId;

    @ApiModelProperty(value = "实体表")
    private String objectTable;

    @ApiModelProperty(value = "实体id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long objectId;

    @ApiModelProperty(value = "审核人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long approveId;

    @ApiModelProperty(value = "审核步骤")
    private Integer approveSetup;

    @ApiModelProperty(value = "审核意见")
    private String approveRemark;

    @ApiModelProperty(value = "审批操作，SUBMIT：提交，APPROVE：审批，REJECT：驳回，END：终止，EXCHANGE：转他人审批")
    private FlowApproveOperationEnum approveOperation;

    @ApiModelProperty(value = "待审核人id")
    private String pendApproveId;

    @ApiModelProperty(value = "试卷附件")
    private String paperAttachmentId;

    @ApiModelProperty(value = "待审核人")
    private String pendApproveUserName;

    @ApiModelProperty(value = "已审核人")
    private String approveUserName;

    @ApiModelProperty(value = "流程节点id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long taskId;

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public String getPendApproveUserName() {
        return pendApproveUserName;
    }

    public void setPendApproveUserName(String pendApproveUserName) {
        this.pendApproveUserName = pendApproveUserName;
    }

    public String getApproveUserName() {
        return approveUserName;
    }

    public void setApproveUserName(String approveUserName) {
        this.approveUserName = approveUserName;
    }

    public String getPaperAttachmentId() {
        return paperAttachmentId;
    }

    public void setPaperAttachmentId(String paperAttachmentId) {
        this.paperAttachmentId = paperAttachmentId;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getObjectTable() {
        return objectTable;
    }

    public void setObjectTable(String objectTable) {
        this.objectTable = objectTable;
    }

    public Long getObjectId() {
        return objectId;
    }

    public void setObjectId(Long objectId) {
        this.objectId = objectId;
    }

    public Long getApproveId() {
        return approveId;
    }

    public void setApproveId(Long approveId) {
        this.approveId = approveId;
    }

    public Integer getApproveSetup() {
        return approveSetup;
    }

    public void setApproveSetup(Integer approveSetup) {
        this.approveSetup = approveSetup;
    }

    public String getApproveRemark() {
        return approveRemark;
    }

    public void setApproveRemark(String approveRemark) {
        this.approveRemark = approveRemark;
    }

    public FlowApproveOperationEnum getApproveOperation() {
        return approveOperation;
    }

    public void setApproveOperation(FlowApproveOperationEnum approveOperation) {
        this.approveOperation = approveOperation;
    }

    public String getPendApproveId() {
        return pendApproveId;
    }

    public void setPendApproveId(String pendApproveId) {
        this.pendApproveId = pendApproveId;
    }
}
